%define fw_version 5.41

Summary:	KDE Frameworks 5 module with widgets for tracking KJob instances
Name:		kjobwidgets
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)

%description
KDE Frameworks 5 module with widgets for tracking KJob instances.

KJobWIdgets provides widgets for showing progress of asynchronous jobs.

#----------------------------------------------------------------------------

%package i18n
Summary:	KJobWidgets translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KJobWidgets translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5jobwidgets_major 5
%define libkf5jobwidgets %mklibname kf5jobwidgets %{kf5jobwidgets_major}

%package -n %{libkf5jobwidgets}
Summary:	KDE Frameworks 5 KJob instances tracking shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5jobwidgets}
KDE Frameworks 5 KJob instances tracking shared library.

%files -n %{libkf5jobwidgets}
%{_kde5_libdir}/libKF5JobWidgets.so.%{kf5jobwidgets_major}*

#----------------------------------------------------------------------------

%define devkf5jobwidgets %mklibname kf5jobwidgets -d

%package -n %{devkf5jobwidgets}
Summary:	Development files for KDE Frameworks 5 KJob instances tracking module
Group:		Development/KDE and Qt
Requires:	%{libkf5jobwidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5jobwidgets-devel = %{version}
Conflicts:	%{name} < 5.7.0-2
Obsoletes:	%{name} < 5.7.0-2

%description -n %{devkf5jobwidgets}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5jobwidgets}
%{_kde5_includedir}/KF5/KJobWidgets
%{_kde5_includedir}/KF5/kjobwidgets_version.h
%{_kde5_libdir}/cmake/KF5JobWidgets
%{_kde5_libdir}/libKF5JobWidgets.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (7a96423) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (c2811c3) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (03c95ae) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (5c51b6f) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (f6106fe) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (07a965c) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (1ee65c0) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (3dd16dc) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (6332237) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (5caf102) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (366bae6) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (f4dca9c) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (6064819) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (74c535a) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (492376a) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (0a8168e) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (4029e97) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (9a0e9b1) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (74e6690) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (1e5efaa) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (f2d2e55) New version 5.15.0

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-3
- (8d5b467) MassBuild#822: Increase release tag

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-2
- (75e008c) MassBuild#821: Increase release tag

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (8a8b877) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (a45e6d3) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (2cf2d91) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (e4c1820) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (711d4d8) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (18c6907) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (f9fe213) Drop datapath patch, seems to be no longer needed


